<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
  function iniUser ()
  {
    global $prefix;
    global $db;
    global $CharsUserName;
    global $CharsSetupUserCurrentPassword;

    $SQLQuery = 'CREATE TABLE '.$prefix.'user
    (
      UserID INTEGER NOT NULL AUTO_INCREMENT,
      UserName CHAR('.$CharsUserName.'),
      UserStatus CHAR(10),
      UserCurrentPassword CHAR('.$CharsSetupUserCurrentPassword.'),
      UserEmailadress CHAR(50),
      UserSession CHAR(32),
      UserLanguage CHAR(32),
      UserLastActivityTimestamp INT,
      UserBackendCalenderListCols TEXT,
      UserRightEmail TINYINT(1),
      UserRightAddNews TINYINT(1),
      UserRightEditNews TINYINT(1),
      UserRightDeleteNews TINYINT(1),
      PRIMARY KEY (UserID),      
      UNIQUE KEY (UserName)
    ) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_unicode_ci';
    
    if (mysqli_query($db, $SQLQuery)) { return true; }
    else { return false; }
  }
?>